module.exports = {
  up(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.addColumn(
          'settings',
          'latestStableVersion',
          {
            type: Sequelize.TEXT,
            default: "unknown"
          },
      ),
      queryInterface.addColumn(
          'settings',
          'latestCanaryVersion',
          {
            type: Sequelize.TEXT,
            default: "unknown"
          },
      ),
      queryInterface.addColumn(
          'settings',
          'latestAPIVersion',
          {
            type: Sequelize.TEXT,
            default: "unknown"
          },
      )
    ]);
  },
  down(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.removeColumn(
          'settings',
          'latestStableVersion',
      ),
      queryInterface.removeColumn(
          'settings',
          'latestCanaryVersion',
      ),
      queryInterface.removeColumn(
          'settings',
          'latestAPIVersion',
      )
    ]);
  },
};
